package gecco.game.dke;

import gecco.server.core.ReferenceHolder;
import gecco.server.core.ActionReturnRequeue;
import gecco.server.core.ActionReturnCompleted;
import gecco.server.core.ActionReturn;


/**
 * LockDuringIndirectFireDelayAction.java
 *
 *
 * Created: Mon Mar 10 13:32:35 2003
 *
 * @author <a href="mailto:m-8028@M-8028"></a>
 * @version
 */

public class LockDuringIndirectFireDelayAction extends DelayAction {

    public LockDuringIndirectFireDelayAction (int unitHandle){
	super(unitHandle, ((WarUnit) ReferenceHolder.getUnitManager().
			   getUnit(unitHandle)).getIndirectFireExtendTime());
    }

    public ActionReturn checkPoint(){
	if (firstRun) {
	    firstRun = false;
	    return new ActionReturnRequeue(delay);
	}
	else {
	    ((WarUnit) getUnit()).setReloading(true);
	    ((WarUnit) getUnit()).releaseFiringIndirect();
	    new ReloadDelayAction(getUnitHandle());
	    return new ActionReturnCompleted();
	}
    }
    
}// LockDuringIndirectFireDelayAction
