package gecco.game.dke3;

import gecco.server.core.ReferenceHolder;
import java.util.NoSuchElementException;



/**
 * BeachHeadPoint.java
 *
 *
 * Created: Wed Jan 21 14:03:12 2004
 *
 * @author <a href=mailto:hans.sandstrom@fhs.mil.se> Hans Sandstrm </a>
 * @version 1.0
 */
public class BeachHeadPoint extends gecco.game.dke.GameEventPoint {

    public BeachHeadPoint() {
	super();
    }
    
    public int getMaxDistance(){
	int distance;
	try {
	    distance = getIntProperty("Max distance");
	} catch (NoSuchElementException e) {
	    ReferenceHolder.err.println("Max distance not specifyed for	beachHeadPoint " + getName());
	    distance = 100;
	}
	return distance;
    }
    
} // BeachHeadPoint
