package gecco.game.dke3;

import gecco.server.core.ActionReturnCompleted;
import gecco.server.core.ActionReturn;



/**
 * AutoFireOffAction.java
 *
 *
 * Created: Mon Feb 02 10:11:54 2004
 *
 * @author <a href=mailto:hans.sandstrom@fhs.mil.se> Hans Sandstrm </a>
 * @version 1.0
 */
public class AutoFireOffAction extends WarUnitDKE3Action {

    public AutoFireOffAction() {
	super();
    }
    
 public void initiate(int actionHandle, int unitHandle){
	super.initiate(actionHandle, unitHandle);
	getWarUnitDKE3().setAutoFire(false);
    }

    public ActionReturn checkPoint(){
	getUnit().addBlockedAction(getActionDefinition().getName());
	return new ActionReturnCompleted(); 
    }

} // AutoFireOffAction
